<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../nav_haut.php"); // inclure le haut de la page
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
  
  
    //séparation des données (POST, GET) et des traitements (affichage des tableauxs, erreurs ou envoi)
    
    if(isset($_POST["nom"])){ 
      $nom = substr(addslashes(strip_tags($_POST["nom"])),0,40);
    } else {
      if(isset($_SESSION["mailcli"])) {
        $nom =  $_SESSION["prenomcli"]." ".$_SESSION["nomcli"];
      }else{
        $nom = "";
      }
    }
      
    if(isset($_POST["mailexpediteur"])){
      $mailexpediteur = substr(addslashes(strip_tags($_POST["mailexpediteur"])),0,40);
    }else{
      if(isset($_SESSION["mailcli"])) {
        $mailexpediteur = $_SESSION["mailcli"] ;
      }else{
        $mailexpediteur = "";
      }
    }
    
    if(isset($_POST["destinataire"])){
      $destinataire = addslashes(strip_tags($_POST["destinataire"]));
    }else{
      if(isset($_GET["destinataire"])){
        $destinataire = substr(addslashes(strip_tags($_GET["destinataire"])),0,40);
      }else{
        $destinataire = "postmaster@".$_SERVER['HTTP_HOST'].""; // le mail général ici
      }
    }
    
    if(isset($_POST["objet"])){ 
    	$objet = substr(addslashes(strip_tags($_POST["objet"])),0,100);
    }else{	
    	if(isset($_GET["objet"])){ 
    		$objet = substr(addslashes(strip_tags($_GET["objet"])),0,100);
    	}else{	
    		$objet = "Contact"; 
    	}
    }
    
    //if(isset($_GET["objet"])){ $objet = $_GET["objet"]; }else{ if(isset($_POST["objet"])){ $objet = $_POST["objet"]; }else{ $objet = "Contact"; } }
    
    /*
    
    if(isset($_POST["fonction"])){  $PostFonction = $_POST["fonction"];   }else{ $PostFonction = ""; }
    if(isset($_POST["nomsociete"])){  $PostNomSociete = $_POST["nomsociete"];   }else{ $PostNomSociete = ""; }
    if(isset($_POST["urlsociete"])){  $PostURLSociete = $_POST["urlsociete"];   }else{ $PostURLSociete = ""; }
    if(isset($_POST["phone"])){  $PostPhone = $_POST["phone"];   }else{ $PostPhone = ""; }
    
    
    if(isset($_POST["fichier"])){
      $fichier = file_get_contents($_POST["fichier"]);
    }else{
      $fichier = "";
    }
    
    if(isset($_POST["message"])){
      if(!empty($_POST["message"])){
        //$message = "Fonction = ".$PostFonction."<br/>Nom Société = ".$PostNomSociete."<br/>URL Société = ".$PostURLSociete."<br/>Tél = ".$PostPhone."<br/>Message = ".$_POST["message"];
        $message = $_POST["message"];
      }
    }
    
    */
    

    if( isset($_POST["message"]) )
    {
      $message = strip_tags($_POST["message"]);
      
      if(!empty($nom) and !empty($mailexpediteur) and !empty($destinataire) and !empty($objet) and !empty($message) )
      {
        
        $headers = "From: ".$nom." <".$mailexpediteur.">\r\n";
        $headers .= "Bcc: ".$nom." <".$mailexpediteur.">\r\n"; //faire un accusé de réception en plus
        
        if (!preg_match("[,]", $mailexpediteur) and !preg_match("[,]", $destinataire) ) //evite le SPAM
        {
          if (strpos($destinataire, '@') and strpos($destinataire, '.'))
          {
            if (strpos($mailexpediteur, '@') and strpos($mailexpediteur, '.'))
            {
              if (mail($destinataire, $objet, $message, $headers)) // si envoyé $fichier
              {
                echo "<p class='reussi'>$SendMailResult[$lang]</p>";
                
                unset($_POST["objet"], $_POST["message"]); //on vide le nécessaire, on garde le reste
                $objet = $message = "";
                
              } else  { 
                echo "<p class='erreur'>Une erreur s'est produite. Le message n'a pas pu être envoyé.</p>";
              }
            } else {
              echo "<p class='erreur'>Le courriel <strong>$mailexpediteur</strong> n'est pas valide. Il faut un @ et un point.</p>";
            }
          } else {
            echo "<p class='erreur'>Le courriel <strong>$destinataire</strong> n'est pas valide. Il faut un @ et un point.</p>";
          }
        } else {
          echo "<p class='erreur'>Vous ne pouvez mettre qu'un seul courriel.</p>";
        }
      } else {
        echo "<p class='erreur'>L'un des champs est <strong>vide</strong>. Vous devez remplir tout les champs pour envoyer le mail.</p>";
      }
    }
    
   include("mail_interface.php"); 
    
      
  echo '<script type="text/javascript" src="mail.js"></script>';
  
  echo '<script type="text/javascript">document.getElementById("nom").focus();</script>'; //Focus sur le nom
  
  echo "</div>"; // fin du corps de la page
  include("../nav_bas.php"); // Inclure le bas de la page 
  
?>
